// TrainSchedDlg.h : header file
//

#if !defined(AFX_TRAINSCHEDDLG_H__441F17AE_D979_4415_B243_500806208EFB__INCLUDED_)
#define AFX_TRAINSCHEDDLG_H__441F17AE_D979_4415_B243_500806208EFB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CTrainSchedDlg dialog

// INI file key and section names.
#define INI_SECTION          _T( "TrainSched" )
#define INI_DBFILENAME       _T( "dbFileName" )
#define INI_FROM             _T( "uFrom" )
#define INI_TO               _T( "uTo" )
#define INI_DAY              _T( "uDay" )
#define INI_ABBREV_SECTION   _T( "Abbreviations" )
#define INI_ABBREV_BASE      _T( "szAbbrev" )
#define INI_ABBREV_MESSAGE   _T( "Message" )
#define INI_NO_VALUE         _T( "NO_VALUE" )

// Abbreviations Index
#define BLANK_ABBREV         0


class CTrainSchedDlg : public CDialog
{
// Construction
public:
	CTrainSchedDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTrainSchedDlg)
	enum { IDD = IDD_TRAINSCHED_DIALOG };
	CComboBox	m_ToCombo;
	CComboBox	m_FromCombo;
	CComboBox	m_DayCombo;
	CListCtrl	m_Timetable;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTrainSchedDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void ReloadTimetable();
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTrainSchedDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeDayCombo();
	afx_msg void OnSelchangeFromCombo();
	afx_msg void OnSelchangeToCombo();
	afx_msg void OnReverseButton();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnAbbreviations();
	afx_msg void OnAboutbox();
	afx_msg void OnSelectTimetable();
	virtual void OnOK();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void FormatTime( CString &csTime );
	CString csAbbrevMessage;
	CString m_dbFileName;
	CString m_INIfilename;
	BOOL ReadTimetableFile();
	void ClearUpTimetableData();
	BOOL SetComboBoxSelection();
	BOOL m_bFirstPaint;
	BOOL m_bTableInitialized;
	CStringArray m_saAbbreviations;
	CUIntArray m_uaIndexArray;
	CUIntArray uaIndexArray;
	BOOL m_bUse3Cols;
	CPtrArray m_paTimes;
	UINT m_uFromStation;
	UINT m_uToStation;
	UINT m_uDay;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRAINSCHEDDLG_H__441F17AE_D979_4415_B243_500806208EFB__INCLUDED_)
